# Class PoolUtilities

java.lang.Object
org.apache.tomcat.jdbc.pool.PoolUtilities

public class PoolUtilities extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_PASSWORD`
  `static final String`
  `PROP_USER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PoolUtilities()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Properties`
  `clone(Properties p)`
  `static Properties`
  `cloneWithoutPassword(Properties p)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_USER

    public static final String PROP_USER
    See Also:
      - Constant Field Values

  - ### PROP_PASSWORD

    public static final String PROP_PASSWORD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PoolUtilities

    public PoolUtilities()

- ## Method Details

  - ### clone

    public static Properties clone(Properties p)

  - ### cloneWithoutPassword

    public static Properties cloneWithoutPassword(Properties p)